lzma_index_coder Struct Reference

## Public Types

enum | { SEQ_INDICATOR , SEQ_COUNT , SEQ_MEMUSAGE , SEQ_UNPADDED , SEQ_UNCOMPRESSED , SEQ_PADDING_INIT , SEQ_PADDING , SEQ_CRC32 }
enum | { SEQ_INDICATOR , SEQ_COUNT , SEQ_UNPADDED , SEQ_UNCOMPRESSED , SEQ_NEXT , SEQ_PADDING , SEQ_CRC32 }

## Data Fields

enum lzma_index_coder:: { ... } | sequence
uint64_t | memlimit
| Memory usage limit. More...
lzma_index * | index
| Target Index. More...
lzma_index ** | index_ptr
lzma_vli | count
| Number of Records left to decode. More...
lzma_vli | unpadded_size
| The most recent Unpadded Size field. More...
lzma_vli | uncompressed_size
| The most recent Uncompressed Size field. More...
size_t | pos
| Position in integers. More...
uint32_t | crc32
| CRC32 of the List of Records field. More...
enum lzma_index_coder:: { ... } | sequence
const lzma_index * | index
| Index being encoded. More...
lzma_index_iter | iter
| Iterator for the Index being encoded. More...

## Field Documentation

## memlimit

uint64_t lzma_index_coder::memlimit

Memory usage limit.

## index [1/2]

lzma_index* lzma_index_coder::index

Target Index.

## index_ptr

lzma_index** lzma_index_coder::index_ptr

Pointer give by the application, which is set after successful decoding.

## count

lzma_vli lzma_index_coder::count

Number of Records left to decode.

## unpadded_size

lzma_vli lzma_index_coder::unpadded_size

The most recent Unpadded Size field.

## uncompressed_size

lzma_vli lzma_index_coder::uncompressed_size

The most recent Uncompressed Size field.

## pos

size_t lzma_index_coder::pos

Position in integers.

## crc32

uint32_t lzma_index_coder::crc32

CRC32 of the List of Records field.

## index [2/2]

const lzma_index* lzma_index_coder::index

Index being encoded.

## iter

lzma_index_iter lzma_index_coder::iter

Iterator for the Index being encoded.

The documentation for this struct was generated from the following files:

- liblzma/common/index_decoder.c
- liblzma/common/index_encoder.c